/*
 * Data for Virgo model
 * GW150914 waveform normalized to unsigned 16bit integer
 * 615 values
 */

#ifndef GW150914_wfm_H
#define GW150914_wfm_H

uint16_t gw150914[] = {
2124, 2336, 2504, 2552, 2449, 2244, 2044, 1960, 2039, 2233, 2423, 2493, 
2393, 2171, 1936, 1794, 1783, 1867, 1970, 2038, 2068, 2104, 2187, 2314, 
2430, 2464, 2384, 2225, 2073, 2011, 2063, 2179, 2269, 2266, 2172, 2065, 
2039, 2142, 2338, 2521, 2578, 2460, 2208, 1934, 1752, 1717, 1797, 1908, 
1965, 1940, 1869, 1829, 1879, 2025, 2212, 2358, 2397, 2320, 2171, 2017, 
1917, 1890, 1916, 1961, 1999, 2032, 2078, 2154, 2251, 2333, 2354, 2282, 
2130, 1955, 1834, 1832, 1962, 2174, 2377, 2474, 2414, 2216, 1955, 1739, 
1649, 1715, 1902, 2134, 2328, 2434, 2441, 2377, 2279, 2181, 2099, 2043, 
2020, 2047, 2133, 2270, 2419, 2521, 2524, 2410, 2217, 2024, 1911, 1921, 
2031, 2168, 2246, 2217, 2101, 1967, 1895, 1930, 2053, 2197, 2289, 2287, 
2197, 2063, 1932, 1837, 1788, 1786, 1835, 1938, 2079, 2212, 2269, 2200, 
2010, 1783, 1648, 1710, 1984, 2366, 2680, 2769, 2585, 2221, 1861, 1678, 
1739, 1973, 2219, 2328, 2241, 2020, 1796, 1688, 1740, 1910, 2114, 2282, 
2397, 2480, 2553, 2613, 2622, 2546, 2387, 2196, 2052, 2013, 2084, 2212, 
2322, 2356, 2300, 2180, 2034, 1891, 1762, 1655, 1595, 1619, 1756, 1993, 
2266, 2483, 2567, 2505, 2361, 2235, 2208, 2293, 2417, 2473, 2376, 2121, 
1790, 1508, 1378, 1430, 1610, 1819, 1961, 2000, 1959, 1904, 1900, 1973, 
2106, 2250, 2353, 2386, 2345, 2254, 2145, 2049, 1989, 1976, 2010, 2075, 
2152, 2217, 2256, 2272, 2285, 2313, 2361, 2411, 2426, 2373, 2254, 2113, 
2019, 2035, 2172, 2378, 2558, 2620, 2528, 2323, 2095, 1938, 1896, 1945, 
2020, 2057, 2040, 2003, 1996, 2046, 2130, 2189, 2172, 2074, 1941, 1848, 
1838, 1898, 1966, 1971, 1888, 1757, 1657, 1652, 1749, 1888, 1989, 1999, 
1937, 1875, 1894, 2023, 2223, 2404, 2482, 2426, 2274, 2107, 2005, 2005, 
2095, 2232, 2370, 2480, 2551, 2581, 2574, 2535, 2479, 2428, 2401, 2405, 
2422, 2425, 2393, 2327, 2250, 2190, 2158, 2142, 2117, 2068, 2003, 1950, 
1933, 1945, 1945, 1882, 1733, 1527, 1336, 1239, 1279, 1439, 1653, 1852, 
1995, 2089, 2161, 2233, 2297, 2323, 2286, 2193, 2085, 2008, 1986, 2002, 
2013, 1988, 1935, 1908, 1968, 2151, 2427, 2720, 2940, 3029, 2989, 2873, 
2747, 2657, 2614, 2598, 2583, 2552, 2503, 2434, 2341, 2212, 2040, 1838, 
1640, 1491, 1422, 1437, 1505, 1571, 1586, 1526, 1407, 1280, 1207, 1235, 
1367, 1566, 1764, 1906, 1972, 1999, 2053, 2188, 2408, 2655, 2841, 2900, 
2835, 2725, 2674, 2742, 2901, 3042, 3049, 2875, 2585, 2323, 2216, 2289, 
2439, 2493, 2322, 1934, 1479, 1164, 1124, 1339, 1650, 1859, 1859, 1694, 
1521, 1494, 1652, 1898, 2063, 2032, 1828, 1603, 1538, 1716, 2070, 2424, 
2616, 2608, 2510, 2505, 2711, 3091, 3463, 3606, 3402, 2908, 2327, 1886, 
1700, 1717, 1765, 1678, 1402, 1034,  755,  715,  940, 1321, 1684, 1897, 
1940, 1906, 1933, 2116, 2455, 2869, 3243, 3495, 3600, 3574, 3442, 3207, 
2853, 2378, 1820, 1262,  806,  534,  482,  641,  986, 1495, 2146, 2884, 
3584, 4055, 4094, 3586, 2603, 1417,  429,    0,  289, 1164, 2247, 3085, 
3354, 3006, 2280, 1564, 1200, 1318, 1792, 2335, 2661, 2638, 2340, 1986, 
1798, 1882, 2178, 2509, 2692, 2640, 2399, 2109, 1921, 1910, 2045, 2219, 
2319, 2282, 2130, 1942, 1815, 1807, 1915, 2080, 2220, 2270, 2206, 2059, 
1896, 1796, 1812, 1951, 2170, 2391, 2539, 2568, 2480, 2315, 2131, 1969, 
1849, 1769, 1725, 1728, 1798, 1943, 2140, 2328, 2433, 2407, 2262, 2074, 
1941, 1937, 2064, 2252, 2403, 2450, 2391, 2291, 2229, 2243, 2301, 2320, 
2227, 2011, 1746, 1550, 1520, 1671, 1927, 2160, 2268, 2230, 2113, 2026, 
2053, 2199, 2388, 2512, 2494, 2334, 2106, 1914, 1834, 1877, 1993, 2104, 
2156, 2140, 2094, 2068, 2089, 2144, 2192, 2193, 2138, 2057, 1996, 1990, 
2034, 2087, 2102, 2057, 1977, 1926, 1958, 2081, 2243, 2356, 2354, 2240, 
2090, 2012, 2075, 2257, 2449, 2522, 2411, 2162, 1917, 1824, 1952, 2235, 
2518, 2642, 2549, 2307, 2061, 1934, 1949, 2018, 2017, 1883, 1665, 1501, 
1524, 1762, 2112, };

#endif //GW150914_wfm
